Skip to navigation

Start Agent

Start a hosted agent.

Path parameters

addressstringRequired

Query parameters

no_cachebooleanOptionalDefaults to false

Response

Successful Response
addressstring
Bech32 address of the agent.
runningboolean
Whether the agent is currently running.
compiledboolean or nullOptional
Whether the agent code has been compiled.
code_digeststring or nullOptional
Digest of the agent's code.
wallet_addressstring or nullOptional
Wallet address of the agent.
code_update_timestampdatetime or nullOptional
Last time the code was updated.
creation_timestampdatetime or nullOptional
Time when the agent was created.
revisionintegerOptionalDefaults to 0
Revision number of the agent.
metadataobject or nullOptional
Metadata associated with the agent.

Errors

422
Unprocessable Entity Error